Bug 91836 - (SCSI CCISS)cciss driver renders Compaq AIT-1 tape drive unusable
(SCSI CCISS)cciss driver renders Compaq AIT-1 tape drive unusable
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-28 15:38 EDT by Eric Gerney
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Gerney 2003-05-28 15:38:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The Red Hat 2.4.20-13.7smp kernel update for Red Hat Linux 7.2 includes an
updated cciss driver (HP CISS Driver (v 2.4.42)) which renders the AIT-1 tape
unit unusable.  The tape unit cannot be managed via mt commands, nor can dump
read/write data.  Any attempt to access the tape unit produces the following
output to the console:
---
st0: Error on write filemark.
st0: Error 10000 (sugg. bt 0x0, driver bt 0x0, host bt 0x1).
st0: Error with sense data: Info fld=0x1, Current st09:00: sense key Unit Attention
---

Rebooting into the previous kernel version of 2.4.18-27.7.x with cciss driver
version 2.4.30 corrects this issue.

This particular problem is seen on three different servers (all Compaq DL380s)
and all the media has been independently verified.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-13.7

How reproducible:
Always

Steps to Reproduce:
1.Using Red Hat Linux 7.2 with kernel 2.4.20-13.7smp on a Compaq DL380 G3 with
an AIT-1 tape unit, issue "mt -f /dev/nst0 status"
2.
3.
    

Actual Results:  Received: "/dev/nst0: Input/output error"

Expected Results:  mt should have reported the tape status, something similar to:
SCSI 2 tape drive:
File number=0, block number=0, partition=0.
Tape block size 0 bytes. Density code 0x30 (AIT-1 or MLR3).
Soft error count since last status=0
General status bits on (41010000):
 BOT ONLINE IM_REP_EN


Additional info:

Compaq/HP's latest version of the cciss driver is 2.4.44 and was
released on 4/23/2003, however, this has not been tested with a 2.4.20 kernel.
Comment 1 Bugzilla owner 2004-09-30 11:41:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.